.is-loading {
    cursor: progress;
}

.qb-buttons {
    margin-bottom: 1em;
}

.qb-buttons .button {
    margin-right: .5em;
}

span.qb-buttons .button:last-child {
    margin-right: 0;
}

table.qb-list tbody tr td, table.qb-list thead tr th, table.qb-list tfoot tr th {
    padding: .5em;
}

.qb-preview-table thead th {
    transition: opacity 1s;
    overflow: hidden;
    white-space: nowrap;
}

.qb-list-container {
    width: 600px;
    display: inline-block;
    vertical-align: top;
}

.qb-list-container:not(:last-child) {
    padding-right: 1em;
    padding-bottom: 1.5em;
}

.qb-table-list-container {
    box-sizing: border-box;
    width: 50%;
}

.qb-query-list-container {
    box-sizing: border-box;
}

.qb-query-data {
    display: flex;
}

#qbModulesContainer {
    flex: 1;
}

#qbFieldsContainer {
    flex: 2;
}

#qbFiltersContainer {
    flex: 1;
}

h1.qb-float {
    position: absolute;
    margin: 0;
}

.qb-list-select {
    float: right;
}

.qb-table-list td:nth-child(2), .qb-table-list th:nth-child(4), .qb-table-list th:nth-child(5), .qb-table-icons {
    text-align: center;
}

.qb-save-table {
    display: none;
}

table.qb-list tfoot tr th {
    border-top: none;
}

.qb-table-list th:nth-child(2) {
    width: 10%;
}

.qb-table-list th:nth-child(3) {
    width: 20%;
}

.qb-table-list th:nth-child(5) {
    width: 10% !important;
}

.qb-field-list th:nth-child(1) {
    width: 25%;
}

.qb-field-list th:nth-child(2) {
    width: 25%;
}

.qb-field-list th:nth-child(3) {
    width: 25%;
}

.qb-field-list th:nth-child(4) {
    width: 10%;
}

.qb-field-list th:nth-child(5), .qb-field-list th:nth-child(6) {
    width: 10%;
}

.qb-field-list td:nth-child(5), .qb-field-list td:nth-child(6) {
    text-align: center;
}

.qb-help-text {
    width: 100%;
    box-sizing: border-box;
    resize: none;
}

.qb-help-icon {
    padding-right: 6px; 
    vertical-align: middle;
}

.qb-help-disabled {
    opacity: 0.25;
}

.qb-filter-list th:nth-child(2) {
    width: 15%;
}

.qb-filter-list td:nth-child(2) {
    text-align: center;
}

.qb-field-enabled-all {
    display: inline-block;
    vertical-align: text-top;
    margin-left: .5em;
}

.qb-label-input, .qb-column-search {
    box-sizing: border-box;
    width: 100%;
}

table.dataTable thead tr th, .dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: none !important;
}

.qb-mapping-list thead th:nth-child(5) {
    width: 5%;
}

.qb-query-list th:nth-child(1) {
    width: 20%;
}
.qb-query-list th:nth-child(2) {
    width: 7%;
}
.qb-query-list th:nth-child(3) {
    width: 25%;
}
.qb-query-list th:nth-child(4) {
    width: 5%;
}

.qb-query-list th:nth-child(5) {
    width: 15%;
}

.qb-query-list th.qb-query-list-groups {
    width: 20%;
}
.qb-query-list th.qb-query-list-delete {
    width: 5%;
}

.qb-query-list td:nth-child(2), .qb-query-list td:nth-child(4), .qb-query-list td:nth-child(6), .qb-query-list td.qb-query-list-delete {
    text-align: center;
}

.qb-calculation-list th:nth-child(2) {
    width: 20%;
}

.qb-calculation-list td:nth-child(2) {
    text-align: center;
}

.qb-popup .qb-buttons, .qb-query-container .qb-buttons, .qb-module-container .qb-buttons {
    text-align: right;
}

.qb-complexity {
    box-sizing: border-box;
    position: fixed;
    margin-left: 18px;
    width: 175px;
    height: 175px;
    padding: 30px 0;

    border-radius: 100px;
    border: 12px solid #CEDBEB;
    background: #6F98CD;

    text-align: center;
    color: #FFF;
}

.qb-complexity-container {
    padding-top: 10px;
    font-size: 3.5em;
    line-height: 1em;
}

.qb-complexity-title {
    font-size: 17px;
    margin-bottom: 0;
}

.qb-module-list-2 th:nth-child(3), .qb-module-list-2 th:nth-child(4) {
    width: 10%;
}

.qb-module-list-2 td:nth-child(3), .qb-module-list-2 td:nth-child(4) {
    text-align: center;
}

.qb-module-list th:nth-child(2) {
    width: 20%;
}

.qb-module-list td:nth-child(2) {
    text-align: center;
}

.qb-module-list th:nth-child(3) {
    width: 15%;
}

.qb-module-list td:nth-child(3) {
    text-align: center;
}

.qb-module-field-list th:nth-child(1) {
    width: 20%;
}

.qb-calculated-field-list th:nth-child(1) {
    width: 25%;
}

.qb-calculated-field-list th:nth-child(2) {
    width: 25%;
}
.qb-calculated-field-list th:nth-child(3) {
    width: 35%;
}

.qb-calculated-field-list th:nth-child(4) {
    width: 15%;
}

.qb-module-field-list td:nth-child(4), .qb-module-field-list td:nth-child(5), .qb-module-field-list td:nth-child(6) {
    text-align: center;
}

.qb-element-list th:nth-child(2) {
    width: 70%;
}

.qb-element-list td:nth-child(2) {
    width: 20%;
    text-align: center;
}

.qb-element-list th:nth-child(3), .qb-element-list th:nth-child(4) {
    width: 10%;
}

.qb-element-list td:nth-child(3), .qb-element-list td:nth-child(4) {
    text-align: center;
}

.qb-clause-list td:nth-child(3) {
    text-align: center;
}

.qb-modal {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: fixed;
    display: none;
    background: hsla(0, 0%, 0%, 0.25);
    overflow: hidden;
}

.qb-modal .qb-popup {
    width: 325px;
    box-shadow: 0 0 6px 2px hsl(0, 0%, 60%);
    background: #FFF;
    margin: 0 auto;
    border-radius: 4px;
    overflow: hidden;
    top: 50%;
    left: 50%;
    position: absolute;
    display: inline-block;
    transform: translateX(-50%) translateY(-50%);
}

.qb-modal .qb-popup-head {
    background: #CEDBEB;
    font-weight: bold;
    padding: .5em;
    font-size: 1.5em;
}

.qb-modal .qb-popup-body {
    padding: 1em;
}

.qb-modal .qb-popup-body thead {
    display: none;
}

.qb-modal .qb-popup-body table {
    border-radius: 0;
}

.qb-popup-body .qb-popup-row {
    margin-bottom: .5em;
}

.qb-popup input, .qb-popup textarea {
    font-size: 14px !important;
    font-family: Arial;
}

.qb-popup textarea {
    vertical-align: top;
    width: 20em;
    height: 4em;
    resize: none;
    margin-bottom: 0;
}

textarea.qb-sql {
    font-family: Consolas;
    font-size: 14px;
    width: 100%;
    height: 8em;
    resize: none;
}

.qb-popup-close {
    float: right;
    cursor: pointer;
}

.qb-checkbox {
    vertical-align: text-top;
}

.qb-preview-loading {
    display: inline-block;
    width: 62px;
    vertical-align: middle;
    text-align: center;
}

.qb-selected td {
    background: hsl(0, 0%, 90%);
}

.qb-download-form {
    display: inline-block;
}

.qb-filter-preview {
    border-radius: 10px;
    background:#CEDBEB;
    padding: 10px 10px;
    margin-bottom: 1em;
}

.qb-filter-container {
    display: inline-block;
    margin: 0 1em 1em 0;
    vertical-align: top;
}

.qb-filter-container label {
    line-height: 2em;
}

.qb-filter-block {
    display: inline-block;
    margin-right: 1em;
}

.qb-filter {
    max-width: 300px; 
}

.qb-filter-field-table {
    margin-right: .5em;
}

.qb-setup-row {
    display: block;
    margin-bottom: 1em;
}

.qb-setup-label {
    display: block;
    margin-bottom: .25em;
}

.qb-inline {
    display: inline-block;
    margin-right: 2em;
    vertical-align: top;
}

.qb-hidden {
    display: none;
}

.qb-filter-placeholder {
    text-align: center;
    line-height: 2em;
}

.qb-filter-preview-list {
    padding: 0;
    margin: 0;
    list-style: none;
}

.qb-filter-preview-list-item {
    vertical-align: top;
    padding: 0;
    margin: 0;
    display: inline-block;
}

.qb-filter-preview-list-item label {
    cursor: pointer;
}

.qb-query-clipboard {
    position: fixed;
    top: 0;
    left: 0;
    width: 1px;
    height: 1px;
    background: transparent;
    border: none;
    outline: none;
    box-shadow: none;
    padding: 0;
}

table.qb-list.dataTable th.sorting_asc {
  padding-right:18px;
  cursor: pointer;
  background: url('media/images/sort_asc.png') no-repeat top right;
  background-color: #CEDBEB;
}

table.qb-list.dataTable th.sorting_desc {
  padding-right:18px;
  cursor: pointer;
  background: url('media/images/sort_desc.png') no-repeat top right;
  background-color: #CEDBEB;
}

table.qb-list.dataTable th.sorting {
  padding-right:18px;
  cursor: pointer;
  background: url('media/images/sort_both_new.png') no-repeat top right;
  background-color: #CEDBEB;
}

table.qb-list.dataTable th.sorting_asc_disabled {
  padding-right:18px;
  cursor: pointer;
  background: url('media/images/sort_asc_disabled.png') no-repeat top right;
  background-color: #CEDBEB;
}

table.qb-list.dataTable th.sorting_desc_disabled {
  padding-right:18px;
  cursor: pointer;
  background: url('media/images/sort_desc_disabled.png') no-repeat top right;
  background-color: #CEDBEB;
}

table.qb-list.dataTable tbody tr.qb-primary-element td {
    color: #FFF;
    background: #6F98CD;
    border-top: none;
    border-bottom: none;
    border-left: none;
}

@keyframes flash {
    0% {
    }

    50% {
        background-color: #6F98CD;
    }

    100% {
    }
}

tbody > tr.qb-flash > td {
    animation: flash 1s;
}

.qb-show-hide-filters {
    text-decoration: underline;
    color: #5C85BA;
    cursor: pointer;
}

#popupDT td.delete-column {
    width: 30px;
}

#popupDT td:nth-child(3) {
    width: 60px;
}

.qb-modal .qb-popup.qb-chart-popup {
    width: 500px; 
}

.qb-chart-setup {
    display: flex;
}

.qb-chart-columns {
    flex: 1;
    margin-right: 20px;
}

.qb-chart-values {
    flex: 2;
    min-height: 200px;
}